diff --git a/src/providers/ipa/ipa_common.c b/src/providers/ipa/ipa_common.c
index 6713740..180163b 100644
--- a/src/providers/ipa/ipa_common.c
+++ b/src/providers/ipa/ipa_common.c
@@ -73,20 +73,20 @@ int ipa_get_options(TALLOC_CTX *memctx,
 
     server = dp_opt_get_string(opts->basic, IPA_SERVER);
     if (!server) {
-        DEBUG(1, ("No ipa server set, will use service discovery!\n"));
+        DEBUG(1, "No ipa server set, will use service discovery!\n");
     }
 
     ipa_hostname = dp_opt_get_string(opts->basic, IPA_HOSTNAME);
     if (ipa_hostname == NULL) {
         ret = gethostname(hostname, HOST_NAME_MAX);
         if (ret != EOK) {
-            DEBUG(1, ("gethostname failed [%d][%s].\n", errno,
-                      strerror(errno)));
+            DEBUG(1, "gethostname failed [%d][%s].\n", errno,
+                      strerror(errno));
             ret = errno;
             goto done;
         }
         hostname[HOST_NAME_MAX] = '\0';
-        DEBUG(9, ("Setting ipa_hostname to [%s].\n", hostname));
+        DEBUG(9, "Setting ipa_hostname to [%s].\n", hostname);
         ret = dp_opt_set_string(opts->basic, IPA_HOSTNAME, hostname);
         if (ret != EOK) {
             goto done;
@@ -150,7 +150,7 @@ static errno_t ipa_parse_search_base(TALLOC_CTX *mem_ctx,
         break;
     default:
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Unknown search base type: [%d]\n", class));
+              "Unknown search base type: [%d]\n", class);
         class_name = "UNKNOWN";
         /* Non-fatal */
         break;
@@ -224,9 +224,9 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_SEARCH_BASE].opt_name,
-                  dp_opt_get_string(ipa_opts->id->basic, SDAP_SEARCH_BASE)));
+                  dp_opt_get_string(ipa_opts->id->basic, SDAP_SEARCH_BASE));
     }
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_SEARCH_BASE,
@@ -238,7 +238,7 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
         realm = dp_opt_get_string(ipa_opts->basic, IPA_KRB5_REALM);
         value = talloc_strdup(tmpctx, realm);
         if (value == NULL) {
-            DEBUG(1, ("talloc_strdup failed.\n"));
+            DEBUG(1, "talloc_strdup failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -247,9 +247,9 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
         if (ret != EOK) {
             goto done;
         }
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_KRB5_REALM].opt_name,
-                  dp_opt_get_string(ipa_opts->id->basic, SDAP_KRB5_REALM)));
+                  dp_opt_get_string(ipa_opts->id->basic, SDAP_KRB5_REALM));
     }
 
     ret = sdap_set_sasl_options(ipa_opts->id,
@@ -260,7 +260,7 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
                                 dp_opt_get_string(ipa_opts->id->basic,
                                                   SDAP_KRB5_KEYTAB));
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot set the SASL-related options\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot set the SASL-related options\n");
         goto done;
     }
 
@@ -277,10 +277,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_USER_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->id->basic,
-                                    SDAP_USER_SEARCH_BASE)));
+                                    SDAP_USER_SEARCH_BASE));
     }
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_USER_SEARCH_BASE,
@@ -296,10 +296,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_GROUP_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->id->basic,
-                                    SDAP_GROUP_SEARCH_BASE)));
+                                    SDAP_GROUP_SEARCH_BASE));
     }
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_GROUP_SEARCH_BASE,
@@ -334,10 +334,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
         }
 #endif
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_SUDO_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->id->basic,
-                                    SDAP_SUDO_SEARCH_BASE)));
+                                    SDAP_SUDO_SEARCH_BASE));
     }
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_SUDO_SEARCH_BASE,
@@ -357,10 +357,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_NETGROUP_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->id->basic,
-                                    SDAP_NETGROUP_SEARCH_BASE)));
+                                    SDAP_NETGROUP_SEARCH_BASE));
     }
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_NETGROUP_SEARCH_BASE,
@@ -376,10 +376,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+        DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
                   ipa_opts->basic[IPA_HOST_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->basic,
-                                    IPA_HOST_SEARCH_BASE)));
+                                    IPA_HOST_SEARCH_BASE));
     }
     ret = ipa_parse_search_base(ipa_opts->basic, ipa_opts->basic,
                                 IPA_HOST_SEARCH_BASE,
@@ -399,10 +399,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->basic[IPA_HBAC_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->basic,
-                                    IPA_HBAC_SEARCH_BASE)));
+                                    IPA_HBAC_SEARCH_BASE));
     }
     ret = ipa_parse_search_base(ipa_opts->basic, ipa_opts->basic,
                                 IPA_HBAC_SEARCH_BASE,
@@ -422,10 +422,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+        DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
                   ipa_opts->basic[IPA_SELINUX_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->basic,
-                                    IPA_SELINUX_SEARCH_BASE)));
+                                    IPA_SELINUX_SEARCH_BASE));
     }
     ret = ipa_parse_search_base(ipa_opts->basic, ipa_opts->basic,
                                 IPA_SELINUX_SEARCH_BASE,
@@ -436,7 +436,7 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
     if (value != NULL) {
         ret = deref_string_to_val(value, &i);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to verify ldap_deref option.\n"));
+            DEBUG(1, "Failed to verify ldap_deref option.\n");
             goto done;
         }
     }
@@ -450,10 +450,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->id->basic[SDAP_GROUP_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->id->basic,
-                                    SDAP_GROUP_SEARCH_BASE)));
+                                    SDAP_GROUP_SEARCH_BASE));
     }
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_SERVICE_SEARCH_BASE,
@@ -473,10 +473,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+        DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
                   ipa_opts->basic[IPA_SUBDOMAINS_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->basic,
-                                    IPA_SUBDOMAINS_SEARCH_BASE)));
+                                    IPA_SUBDOMAINS_SEARCH_BASE));
     }
     ret = ipa_parse_search_base(ipa_opts, ipa_opts->basic,
                                 IPA_SUBDOMAINS_SEARCH_BASE,
@@ -496,10 +496,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+        DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
                   ipa_opts->basic[IPA_MASTER_DOMAIN_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->basic,
-                                    IPA_MASTER_DOMAIN_SEARCH_BASE)));
+                                    IPA_MASTER_DOMAIN_SEARCH_BASE));
     }
     ret = ipa_parse_search_base(ipa_opts, ipa_opts->basic,
                                 IPA_MASTER_DOMAIN_SEARCH_BASE,
@@ -519,10 +519,10 @@ int ipa_get_id_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+        DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
                   ipa_opts->basic[IPA_RANGES_SEARCH_BASE].opt_name,
                   dp_opt_get_string(ipa_opts->basic,
-                                    IPA_RANGES_SEARCH_BASE)));
+                                    IPA_RANGES_SEARCH_BASE));
     }
     ret = ipa_parse_search_base(ipa_opts, ipa_opts->basic,
                                 IPA_RANGES_SEARCH_BASE,
@@ -638,7 +638,7 @@ int ipa_get_auth_options(struct ipa_options *ipa_opts,
     /* FIXME - this can be removed in a future version */
     ret = krb5_try_kdcip(cdb, conf_path, ipa_opts->auth, KRB5_KDC);
     if (ret != EOK) {
-        DEBUG(1, ("sss_krb5_try_kdcip failed.\n"));
+        DEBUG(1, "sss_krb5_try_kdcip failed.\n");
         goto done;
     }
 
@@ -651,7 +651,7 @@ int ipa_get_auth_options(struct ipa_options *ipa_opts,
         }
         copy = talloc_strdup(ipa_opts->auth, value);
         if (copy == NULL) {
-            DEBUG(1, ("talloc_strdup failed.\n"));
+            DEBUG(1, "talloc_strdup failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -659,9 +659,9 @@ int ipa_get_auth_options(struct ipa_options *ipa_opts,
         if (ret != EOK) {
             goto done;
         }
-        DEBUG(6, ("Option %s set to %s\n",
+        DEBUG(6, "Option %s set to %s\n",
                   ipa_opts->auth[KRB5_REALM].opt_name,
-                  dp_opt_get_string(ipa_opts->auth, KRB5_REALM)));
+                  dp_opt_get_string(ipa_opts->auth, KRB5_REALM));
     }
 
     /* Set flag that controls whether we want to write the
@@ -669,9 +669,9 @@ int ipa_get_auth_options(struct ipa_options *ipa_opts,
      */
     ipa_opts->service->krb5_service->write_kdcinfo = \
         dp_opt_get_bool(ipa_opts->auth, KRB5_USE_KDCINFO);
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+    DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
           ipa_opts->auth[KRB5_USE_KDCINFO].opt_name,
-          ipa_opts->service->krb5_service->write_kdcinfo ? "true" : "false"));
+          ipa_opts->service->krb5_service->write_kdcinfo ? "true" : "false");
 
     *_opts = ipa_opts->auth;
     ret = EOK;
@@ -698,53 +698,53 @@ static void ipa_resolve_callback(void *private_data, struct fo_server *server)
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(1, ("talloc_new failed\n"));
+        DEBUG(1, "talloc_new failed\n");
         return;
     }
 
     service = talloc_get_type(private_data, struct ipa_service);
     if (!service) {
-        DEBUG(1, ("FATAL: Bad private_data\n"));
+        DEBUG(1, "FATAL: Bad private_data\n");
         talloc_free(tmp_ctx);
         return;
     }
 
     srvaddr = fo_get_server_hostent(server);
     if (!srvaddr) {
-        DEBUG(1, ("FATAL: No hostent available for server (%s)\n",
-                  fo_get_server_str_name(server)));
+        DEBUG(1, "FATAL: No hostent available for server (%s)\n",
+                  fo_get_server_str_name(server));
         talloc_free(tmp_ctx);
         return;
     }
 
     sockaddr = resolv_get_sockaddr_address(tmp_ctx, srvaddr, LDAP_PORT);
     if (sockaddr == NULL) {
-        DEBUG(1, ("resolv_get_sockaddr_address failed.\n"));
+        DEBUG(1, "resolv_get_sockaddr_address failed.\n");
         talloc_free(tmp_ctx);
         return;
     }
 
     address = resolv_get_string_address(tmp_ctx, srvaddr);
     if (address == NULL) {
-        DEBUG(1, ("resolv_get_string_address failed.\n"));
+        DEBUG(1, "resolv_get_string_address failed.\n");
         talloc_free(tmp_ctx);
         return;
     }
 
     srv_name = fo_get_server_name(server);
     if (srv_name == NULL) {
-        DEBUG(1, ("Could not get server host name\n"));
+        DEBUG(1, "Could not get server host name\n");
         talloc_free(tmp_ctx);
         return;
     }
 
     new_uri = talloc_asprintf(service, "ldap://%s", srv_name);
     if (!new_uri) {
-        DEBUG(2, ("Failed to copy URI ...\n"));
+        DEBUG(2, "Failed to copy URI ...\n");
         talloc_free(tmp_ctx);
         return;
     }
-    DEBUG(6, ("Constructed uri '%s'\n", new_uri));
+    DEBUG(6, "Constructed uri '%s'\n", new_uri);
 
     /* free old one and replace with new one */
     talloc_zfree(service->sdap->uri);
@@ -757,7 +757,7 @@ static void ipa_resolve_callback(void *private_data, struct fo_server *server)
                                              srvaddr->family,
                                              address);
         if (safe_address == NULL) {
-            DEBUG(1, ("sss_escape_ip_address failed.\n"));
+            DEBUG(1, "sss_escape_ip_address failed.\n");
             talloc_free(tmp_ctx);
             return;
         }
@@ -765,7 +765,7 @@ static void ipa_resolve_callback(void *private_data, struct fo_server *server)
         ret = write_krb5info_file(service->krb5_service->realm, safe_address,
                                   SSS_KRB5KDC_FO_SRV);
         if (ret != EOK) {
-            DEBUG(2, ("write_krb5info_file failed, authentication might fail.\n"));
+            DEBUG(2, "write_krb5info_file failed, authentication might fail.\n");
         }
     }
 
@@ -792,7 +792,7 @@ static errno_t _ipa_servers_init(struct be_ctx *ctx,
     /* split server parm into a list */
     ret = split_on_separator(tmp_ctx, servers, ',', true, true, &list, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to parse server list!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to parse server list!\n");
         goto done;
     }
 
@@ -804,9 +804,9 @@ static errno_t _ipa_servers_init(struct be_ctx *ctx,
         if (be_fo_is_srv_identifier(list[i])) {
             if (!primary) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Failed to add server [%s] to failover service: "
+                      "Failed to add server [%s] to failover service: "
                        "SRV resolution only allowed for primary servers!\n",
-                       list[i]));
+                       list[i]);
                 continue;
             }
 
@@ -814,11 +814,11 @@ static errno_t _ipa_servers_init(struct be_ctx *ctx,
             ret = be_fo_add_srv_server(ctx, "IPA", "ldap", ipa_domain,
                                        BE_FO_PROTO_TCP, false, NULL);
             if (ret) {
-                DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to add server\n"));
+                DEBUG(SSSDBG_FATAL_FAILURE, "Failed to add server\n");
                 goto done;
             }
 
-            DEBUG(SSSDBG_TRACE_FUNC, ("Added service lookup for service IPA\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Added service lookup for service IPA\n");
             continue;
         }
 
@@ -831,11 +831,11 @@ static errno_t _ipa_servers_init(struct be_ctx *ctx,
 
         ret = be_fo_add_server(ctx, "IPA", list[i], 0, NULL, primary);
         if (ret && ret != EEXIST) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to add server\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Failed to add server\n");
             goto done;
         }
 
-        DEBUG(SSSDBG_TRACE_FUNC, ("Added Server %s\n", list[i]));
+        DEBUG(SSSDBG_TRACE_FUNC, "Added Server %s\n", list[i]);
     }
 
 done:
@@ -896,7 +896,7 @@ int ipa_service_init(TALLOC_CTX *memctx, struct be_ctx *ctx,
 
     ret = be_fo_add_service(ctx, "IPA", ipa_user_data_cmp);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to create failover service!\n"));
+        DEBUG(1, "Failed to create failover service!\n");
         goto done;
     }
 
@@ -915,7 +915,7 @@ int ipa_service_init(TALLOC_CTX *memctx, struct be_ctx *ctx,
 
     realm = dp_opt_get_string(options->basic, IPA_KRB5_REALM);
     if (!realm) {
-        DEBUG(1, ("No Kerberos realm set\n"));
+        DEBUG(1, "No Kerberos realm set\n");
         ret = EINVAL;
         goto done;
     }
@@ -928,7 +928,7 @@ int ipa_service_init(TALLOC_CTX *memctx, struct be_ctx *ctx,
 
     if (!primary_servers) {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("No primary servers defined, using service discovery\n"));
+              "No primary servers defined, using service discovery\n");
         primary_servers = BE_SRV_IDENTIFIER;
     }
 
@@ -947,7 +947,7 @@ int ipa_service_init(TALLOC_CTX *memctx, struct be_ctx *ctx,
     ret = be_fo_service_add_callback(memctx, ctx, "IPA",
                                      ipa_resolve_callback, service);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to add failover callback!\n"));
+        DEBUG(1, "Failed to add failover callback!\n");
         goto done;
     }
 
@@ -1002,17 +1002,17 @@ int ipa_get_autofs_options(struct ipa_options *ipa_opts,
             goto done;
         }
 
-        DEBUG(SSSDBG_TRACE_LIBS, ("Option %s set to %s\n",
+        DEBUG(SSSDBG_TRACE_LIBS, "Option %s set to %s\n",
               ipa_opts->id->basic[SDAP_AUTOFS_SEARCH_BASE].opt_name,
               dp_opt_get_string(ipa_opts->id->basic,
-                                SDAP_AUTOFS_SEARCH_BASE)));
+                                SDAP_AUTOFS_SEARCH_BASE));
     }
 
     ret = sdap_parse_search_base(ipa_opts->id, ipa_opts->id->basic,
                                  SDAP_AUTOFS_SEARCH_BASE,
                                  &ipa_opts->id->sdom->autofs_search_bases);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not parse autofs search base\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not parse autofs search base\n");
         goto done;
     }
 
@@ -1022,7 +1022,7 @@ int ipa_get_autofs_options(struct ipa_options *ipa_opts,
                        &ipa_opts->id->autofs_mobject_map);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not get autofs map object attribute map\n"));
+              "Could not get autofs map object attribute map\n");
         goto done;
     }
 
@@ -1032,7 +1032,7 @@ int ipa_get_autofs_options(struct ipa_options *ipa_opts,
                        &ipa_opts->id->autofs_entry_map);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not get autofs entry object attribute map\n"));
+              "Could not get autofs entry object attribute map\n");
         goto done;
     }
 
@@ -1054,14 +1054,14 @@ errno_t ipa_get_dyndns_options(struct be_ctx *be_ctx,
     ret = be_nsupdate_init(ctx, be_ctx, ipa_dyndns_opts, &ctx->dyndns_ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Cannot initialize IPA dyndns opts [%d]: %s\n",
-               ret, sss_strerror(ret)));
+              "Cannot initialize IPA dyndns opts [%d]: %s\n",
+               ret, sss_strerror(ret));
         return ret;
     }
 
     if (ctx->basic == NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("IPA basic options not (yet) "
-              "initialized, cannot copy legacy options\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "IPA basic options not (yet) "
+              "initialized, cannot copy legacy options\n");
         return EOK;
     }
 
@@ -1069,8 +1069,8 @@ errno_t ipa_get_dyndns_options(struct be_ctx *be_ctx,
     ret = confdb_get_string(be_ctx->cdb, ctx, be_ctx->conf_path,
                             "ipa_dyndns_update", NULL, &val);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot get the value of %s\n",
-              "ipa_dyndns_update"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot get the value of %s\n",
+              "ipa_dyndns_update");
         /* Not fatal */
     } else if (ret == EOK && val) {
         if (strcasecmp(val, "FALSE") == 0) {
@@ -1079,20 +1079,20 @@ errno_t ipa_get_dyndns_options(struct be_ctx *be_ctx,
             update = true;
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("ipa_dyndns_update value is not a boolean!\n"));
+                  "ipa_dyndns_update value is not a boolean!\n");
             talloc_free(val);
             return EINVAL;
         }
 
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Deprecation warning: The option %s is "
+        DEBUG(SSSDBG_MINOR_FAILURE, "Deprecation warning: The option %s is "
               "deprecated and should not be used in favor of %s\n",
-              "ipa_dyndns_update", "dyndns_update"));
+              "ipa_dyndns_update", "dyndns_update");
 
         ret = dp_opt_set_bool(ctx->dyndns_ctx->opts,
                               DP_OPT_DYNDNS_UPDATE, update);
         talloc_free(val);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot set option value\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot set option value\n");
             return ret;
         }
     }
@@ -1100,17 +1100,17 @@ errno_t ipa_get_dyndns_options(struct be_ctx *be_ctx,
     ret = confdb_get_int(be_ctx->cdb, be_ctx->conf_path,
                          "ipa_dyndns_ttl", -1, &ttl);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot get the value of %s\n",
-              "ipa_dyndns_ttl"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot get the value of %s\n",
+              "ipa_dyndns_ttl");
         /* Not fatal */
     } else if (ret == EOK && ttl != -1) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Deprecation warning: The option %s is "
+        DEBUG(SSSDBG_MINOR_FAILURE, "Deprecation warning: The option %s is "
               "deprecated and should not be used in favor of %s\n",
-              "ipa_dyndns_ttl", "dyndns_ttl"));
+              "ipa_dyndns_ttl", "dyndns_ttl");
 
         ret = dp_opt_set_int(ctx->dyndns_ctx->opts, DP_OPT_DYNDNS_TTL, ttl);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot set option value\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot set option value\n");
             return ret;
         }
     }
@@ -1119,18 +1119,18 @@ errno_t ipa_get_dyndns_options(struct be_ctx *be_ctx,
     ret = confdb_get_string(be_ctx->cdb, ctx, be_ctx->conf_path,
                             "ipa_dyndns_iface", NULL, &val);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot get the value of %s\n",
-              "ipa_dyndns_iface"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot get the value of %s\n",
+              "ipa_dyndns_iface");
         /* Not fatal */
     } else if (ret == EOK && val) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Deprecation warning: The option %s is "
+        DEBUG(SSSDBG_MINOR_FAILURE, "Deprecation warning: The option %s is "
               "deprecated and should not be used in favor of %s\n",
-              "ipa_dyndns_iface", "dyndns_iface"));
+              "ipa_dyndns_iface", "dyndns_iface");
 
         ret = dp_opt_set_string(ctx->dyndns_ctx->opts,
                                 DP_OPT_DYNDNS_IFACE, val);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot set option value\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot set option value\n");
             return ret;
         }
     }
diff --git a/src/providers/ipa/ipa_config.c b/src/providers/ipa/ipa_config.c
index 0b392f5..0d564f5 100644
--- a/src/providers/ipa/ipa_config.c
+++ b/src/providers/ipa/ipa_config.c
@@ -70,14 +70,14 @@ ipa_get_config_send(TALLOC_CTX *mem_ctx,
 
     ret = domain_to_basedn(state, domain, &ldap_basedn);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("domain_to_basedn failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "domain_to_basedn failed.\n");
         goto done;
     }
 
     state->base = talloc_asprintf(state, IPA_CONFIG_SEARCH_BASE_TEMPLATE,
                                   ldap_basedn);
     if (state->base == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -124,8 +124,8 @@ static void ipa_get_config_done(struct tevent_req *subreq)
     }
 
     if (reply_count != 1) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Unexpected number of results, expected 1, "
-                                  "got %zu.\n", reply_count));
+        DEBUG(SSSDBG_OP_FAILURE, "Unexpected number of results, expected 1, "
+                                  "got %zu.\n", reply_count);
         ret = EINVAL;
         goto done;
     }
diff --git a/src/providers/ipa/ipa_dyndns.c b/src/providers/ipa/ipa_dyndns.c
index a74a3cc..ca11c00 100644
--- a/src/providers/ipa/ipa_dyndns.c
+++ b/src/providers/ipa/ipa_dyndns.c
@@ -39,15 +39,15 @@ errno_t ipa_dyndns_init(struct be_ctx *be_ctx,
 
     ctx->be_res = be_ctx->be_res;
     if (ctx->be_res == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Resolver must be initialized in order "
-              "to use the IPA dynamic DNS updates\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Resolver must be initialized in order "
+              "to use the IPA dynamic DNS updates\n");
         return EINVAL;
     }
 
     ret = be_nsupdate_init_timer(ctx->dyndns_ctx, be_ctx->ev,
                                  ipa_dyndns_timer, ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not set up periodic update\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not set up periodic update\n");
         return ret;
     }
 
@@ -55,7 +55,7 @@ errno_t ipa_dyndns_init(struct be_ctx *be_ctx,
                            ipa_dyndns_update,
                            ctx, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not set up online callback\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not set up online callback\n");
         return ret;
     }
 
@@ -80,7 +80,7 @@ void ipa_dyndns_timer(void *pvt)
     req = sdap_dyndns_timer_conn_send(ctx, sdap_ctx->be->ev, sdap_ctx,
                                       ctx->dyndns_ctx);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
         /* Not much we can do. Just attempt to reschedule */
         be_nsupdate_timer_schedule(sdap_ctx->be->ev, ctx->dyndns_ctx);
         return;
@@ -98,8 +98,8 @@ static void ipa_dyndns_timer_connected(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Failed to connect to IPA: [%d](%s)\n",
-              ret, sss_strerror(ret)));
+              "Failed to connect to IPA: [%d](%s)\n",
+              ret, sss_strerror(ret));
         return;
     }
 
@@ -121,7 +121,7 @@ void ipa_dyndns_update(void *pvt)
 
     struct tevent_req *req = ipa_dyndns_update_send(ctx);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not update DNS\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not update DNS\n");
         return;
     }
     tevent_req_set_callback(req, ipa_dyndns_nsupdate_done, NULL);
@@ -132,12 +132,12 @@ static void ipa_dyndns_nsupdate_done(struct tevent_req *req)
     int ret = ipa_dyndns_update_recv(req);
     talloc_free(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Updating DNS entry failed [%d]: %s\n",
-              ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Updating DNS entry failed [%d]: %s\n",
+              ret, sss_strerror(ret));
         return;
     }
 
-    DEBUG(SSSDBG_OP_FAILURE, ("DNS update finished\n"));
+    DEBUG(SSSDBG_OP_FAILURE, "DNS update finished\n");
 }
 
 struct ipa_dyndns_update_state {
@@ -157,7 +157,7 @@ ipa_dyndns_update_send(struct ipa_options *ctx)
     const char *servername;
     int i;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Performing update\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Performing update\n");
 
     req = tevent_req_create(ctx, &state, struct ipa_dyndns_update_state);
     if (req == NULL) {
@@ -167,8 +167,8 @@ ipa_dyndns_update_send(struct ipa_options *ctx)
 
     if (ctx->dyndns_ctx->last_refresh + 60 > time(NULL) ||
         ctx->dyndns_ctx->timer_in_progress) {
-        DEBUG(SSSDBG_FUNC_DATA, ("Last periodic update ran recently or timer"
-              "in progress, not scheduling another update\n"));
+        DEBUG(SSSDBG_FUNC_DATA, "Last periodic update ran recently or timer"
+              "in progress, not scheduling another update\n");
         tevent_req_done(req);
         tevent_req_post(req, sdap_ctx->be->ev);
         return req;
@@ -190,7 +190,7 @@ ipa_dyndns_update_send(struct ipa_options *ctx)
 
     if (strncmp(ctx->service->sdap->uri,
                 "ldap://", 7) != 0) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unexpected format of LDAP URI.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unexpected format of LDAP URI.\n");
         ret = EIO;
         goto done;
     }
@@ -219,8 +219,8 @@ ipa_dyndns_update_send(struct ipa_options *ctx)
     if (!subreq) {
         ret = EIO;
         DEBUG(SSSDBG_OP_FAILURE,
-              ("sdap_id_op_connect_send failed: [%d](%s)\n",
-               ret, sss_strerror(ret)));
+              "sdap_id_op_connect_send failed: [%d](%s)\n",
+               ret, sss_strerror(ret));
         goto done;
     }
     tevent_req_set_callback(subreq, ipa_dyndns_sdap_update_done, req);
@@ -243,7 +243,7 @@ static void ipa_dyndns_sdap_update_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Dynamic DNS update failed [%d]: %s\n", ret, sss_strerror(ret)));
+              "Dynamic DNS update failed [%d]: %s\n", ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
